Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Interface MutableFont

All Known Implementing Classes:
  CustomFont

public interface MutableFont

This interface is used to set the values of a font during configuration time.

Method Summary
`void` | `putKerningEntry(java.lang.Integer key, java.util.Map value)` Adds an entry to the kerning table.
`void` | `setAscender(int ascender)` Sets the ascent value.
`void` | `setCapHeight(int capHeight)` Sets the capital height value.
`void` | `setDescender(int descender)` Sets the descent value.
`void` | `setEmbedFileName(java.lang.String path)` Sets the path to the embeddable font file.
`void` | `setEmbedResourceName(java.lang.String name)` Sets the resource name of the embeddable font file.
`void` | `setFamilyNames(java.util.Set names)` Sets the font's family names (Example: "Helvetica").
`void` | `setFirstChar(int index)` Sets the index of the first character in the character table.
`void` | `setFlags(int flags)` Sets the font's flags
`void` | `setFontBBox(int[] bbox)` Sets the font's bounding box
`void` | `setFontName(java.lang.String name)` Sets the "PostScript" font name (Example: "Helvetica-BoldOblique").
`void` | `setFontType(FontType fontType)` Sets the font type.
`void` | `setFullName(java.lang.String name)` Sets the font's full name (usually the one that the operating system displays).
`void` | `setItalicAngle(int italicAngle)` Sets the font's italic angle.
`void` | `setKerningEnabled(boolean enabled)` Enables/disabled kerning.
`void` | `setLastChar(int index)` Sets the index of the last character in the character table.
`void` | `setMissingWidth(int width)` Sets the font's default width
`void` | `setStemV(int stemV)` Sets the font's StemV value.

Method Detail

### setFontName

    public void setFontName(java.lang.String name)

  Sets the "PostScript" font name (Example: "Helvetica-BoldOblique").

  Parameters:
    `name` - font name

### setFullName

    public void setFullName(java.lang.String name)

  Sets the font's full name (usually the one that the operating system displays). Example: "Helvetica Bold Oblique".

  Parameters:
    `name` - font' full name

### setFamilyNames

    public void setFamilyNames(java.util.Set names)

  Sets the font's family names (Example: "Helvetica").

  Parameters:
    `names` - the font's family names (a Set of Strings)

### setEmbedFileName

    public void setEmbedFileName(java.lang.String path)

  Sets the path to the embeddable font file.

  Parameters:
    `path` - URI to the file

### setEmbedResourceName

    public void setEmbedResourceName(java.lang.String name)

  Sets the resource name of the embeddable font file.

  Parameters:
    `name` - resource name

### setCapHeight

    public void setCapHeight(int capHeight)

  Sets the capital height value.

  Parameters:
    `capHeight` - capital height

### setAscender

    public void setAscender(int ascender)

  Sets the ascent value.

  Parameters:
    `ascender` - ascent height

### setDescender

    public void setDescender(int descender)

  Sets the descent value.

  Parameters:
    `descender` - descent value

### setFontBBox

    public void setFontBBox(int[] bbox)

  Sets the font's bounding box

  Parameters:
    `bbox` - bounding box

### setFlags

    public void setFlags(int flags)

  Sets the font's flags

  Parameters:
    `flags` - flags

### setStemV

    public void setStemV(int stemV)

  Sets the font's StemV value.

  Parameters:
    `stemV` - StemV

### setItalicAngle

    public void setItalicAngle(int italicAngle)

  Sets the font's italic angle.

  Parameters:
    `italicAngle` - italic angle

### setMissingWidth

    public void setMissingWidth(int width)

  Sets the font's default width

  Parameters:
    `width` - default width

### setFontType

    public void setFontType(FontType fontType)

  Sets the font type.

  Parameters:
    `fontType` - font type

### setFirstChar

    public void setFirstChar(int index)

  Sets the index of the first character in the character table.

  Parameters:
    `index` - index of first character

### setLastChar

    public void setLastChar(int index)

  Sets the index of the last character in the character table.

  Parameters:
    `index` - index of the last character

### setKerningEnabled

    public void setKerningEnabled(boolean enabled)

  Enables/disabled kerning.

  Parameters:
    `enabled` - True if kerning should be enabled if available

### putKerningEntry

    public void putKerningEntry(java.lang.Integer key,
                                java.util.Map value)

  Adds an entry to the kerning table.

  Parameters:
    `key` - Kerning key
    `value` - Kerning value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.